Package org.tartarus.snowball.ext

## Class LovinsStemmer

- java.lang.Object
- - org.tartarus.snowball.SnowballProgram
  - - org.tartarus.snowball.SnowballStemmer
    - - org.tartarus.snowball.ext.LovinsStemmer

- All Implemented Interfaces:
    `Serializable`

      public class LovinsStemmer
      extends SnowballStemmer

  This class implements the stemming algorithm defined by a snowball script.

  Generated by Snowball 2.0.0 - https://snowballstem.org/

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.tartarus.snowball.SnowballProgram

      `bra, cursor, ket, limit, limit_backward`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LovinsStemmer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `boolean` | `r_A()` |
    `boolean` | `r_AA()` |
    `boolean` | `r_B()` |
    `boolean` | `r_BB()` |
    `boolean` | `r_C()` |
    `boolean` | `r_CC()` |
    `boolean` | `r_D()` |
    `boolean` | `r_E()` |
    `boolean` | `r_F()` |
    `boolean` | `r_G()` |
    `boolean` | `r_H()` |
    `boolean` | `r_I()` |
    `boolean` | `r_J()` |
    `boolean` | `r_K()` |
    `boolean` | `r_L()` |
    `boolean` | `r_M()` |
    `boolean` | `r_N()` |
    `boolean` | `r_O()` |
    `boolean` | `r_P()` |
    `boolean` | `r_Q()` |
    `boolean` | `r_R()` |
    `boolean` | `r_S()` |
    `boolean` | `r_T()` |
    `boolean` | `r_U()` |
    `boolean` | `r_V()` |
    `boolean` | `r_W()` |
    `boolean` | `r_X()` |
    `boolean` | `r_Y()` |
    `boolean` | `r_Z()` |
    `boolean` | `stem()` |

    - ### Methods inherited from class org.tartarus.snowball.SnowballProgram

      `assign_to, copy_from, eq_s, eq_s_b, find_among, find_among_b, getCurrent, getCurrentBuffer, getCurrentBufferLength, in_grouping, in_grouping_b, insert, out_grouping, out_grouping_b, replace_s, setCurrent, setCurrent, slice_check, slice_del, slice_from, slice_to`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LovinsStemmer

          public LovinsStemmer()

  - ### Method Detail

    - #### r_A

          public boolean r_A()

    - #### r_B

          public boolean r_B()

    - #### r_C

          public boolean r_C()

    - #### r_D

          public boolean r_D()

    - #### r_E

          public boolean r_E()

    - #### r_F

          public boolean r_F()

    - #### r_G

          public boolean r_G()

    - #### r_H

          public boolean r_H()

    - #### r_I

          public boolean r_I()

    - #### r_J

          public boolean r_J()

    - #### r_K

          public boolean r_K()

    - #### r_L

          public boolean r_L()

    - #### r_M

          public boolean r_M()

    - #### r_N

          public boolean r_N()

    - #### r_O

          public boolean r_O()

    - #### r_P

          public boolean r_P()

    - #### r_Q

          public boolean r_Q()

    - #### r_R

          public boolean r_R()

    - #### r_S

          public boolean r_S()

    - #### r_T

          public boolean r_T()

    - #### r_U

          public boolean r_U()

    - #### r_V

          public boolean r_V()

    - #### r_W

          public boolean r_W()

    - #### r_X

          public boolean r_X()

    - #### r_Y

          public boolean r_Y()

    - #### r_Z

          public boolean r_Z()

    - #### r_AA

          public boolean r_AA()

    - #### r_BB

          public boolean r_BB()

    - #### r_CC

          public boolean r_CC()

    - #### stem

          public boolean stem()

      Specified by:
        `stem` in class `SnowballStemmer`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`